-?
The following HELP topics are available:  
  
 ?         !         DIRECTORY EXIT      HELP      KERMIT    PUSH
 QUIT      RECEIVE   SEND      SERVER    SET       SHOW      STATUS
 TAKE      WILDCARDS
  
-KERMIT
KERMIT
  
Kermit is a file transfer protocol for use over an asynchronous serial
telecommunication line.  Files are broken up into "packets" with checksums and
other control information to ensure (with high probability) error-free and
complete transmission.  Kermit-170 is the implementation for the Control Data
Cyber and is run "remotely" from another computer (e.g.  a microcomputer). 
  
You can run Kermit interactively by typing repeated commands in response to its
"Kermit-170>" prompt, or you can run it as a remote server.
  
Kermit-170 command summary -- optional parts are in [brackets]: 
  
 * For exchanging files:         SEND file
                                 RECEIVE
  
 * For acting as a server:       SERVER
  
 * Setting nonstandard transmission and file parameters: 
         SET DEBUG, DELAY, DUPLEX, INIT-RETRY, RETRY, TEXT-MODE
         SET BIN-MODE, EOR-EOF-MODE
         SET SEND (or RECEIVE) End-of-Line, Packet-length, Pad-Character,
                   Pad-Length, Quote-Character, Sync-Character, Time-Out
  
 * Getting information:          DIR [filenam], HELP [topic], STATUS, SHOW
  
 * Leaving the program:          EXIT, QUIT
  
For further information, type HELP for any of the above, e.g.  HELP SET, or 
see the "Kermit Users Guide" and the "Kermit Protocol Manual" for complete
details.
  
-WILDCARDS
Cyber Kermit allows a group  of  files  to  be  specified  in  a  single  file
specification  by including the special "wildcard" characters, "*" and "?".  A
"*" matches any string of characters, including no characters at  all;  a  "?"
matches  any  single  character.    Any number of "*" and "?"  may appear in a
wildcard specification.  To complement the selection criteria, suffix a "-" to 
the wildcard specification.
  
Here are some examples:
  
  *BUG    All files ending in BUG. 
  
  *DOG*   All file names containing DOG.
  
  F*      All files whose names start with F.
  
  F?X*    All  files whose names start with F and contain X in the third posi-
          tion, followed by zero or more characters.
  
  FRED-   All files except FRED.
  
Wildcard notation is most commonly used to instruct Kermit to send, or display
a  directory  of,  a  group of files.  Its usage is similar to capabilities on
many other computer systems.
  
-!
! command  Execute a NOS command and then return  to  Kermit.    Note  that  a
          single  space  must follow the ! character.  Cyber Kermit supplies a 
          control statement terminator if needed.
  
-DIRECTORY
DIRECTORY [filename]
          Displays  the  names  of  the  files local to the user's job, or the
          names of files in the user's permanent file catalog; filename may be
          a wildcard filename.
  
          If  the command is specified with no parameters or the L: parameter,
          all local files are listed.  If the P:  parameter is used, all  per-
          manent files are listed.
  
          To  list  a single local file or subset of local files, the user may 
          specify a file name or wildcard file name.  To list a single or sub- 
          set  of  permanent  files,  the  user  may  precede the file name or
          wildcard file name by P: 
  
          [The above syntax is also applicable to the REMOTE DIRECTORY  server
          command.]
  
-EXIT
EXIT
          Exit from Kermit-170.  You may also stop Kermit-170 in the midst  of
          a transfer or during server operations by aborting your local Kermit
          with a CTRL-C.  Connect to the Cyber Kermit (don't forget  to  first
          FINISH  if  you were using the Cyber Kermit in server mode) and then
          EXIT.
  
-QUIT
QUIT
          Exit from Kermit-170.  You may also stop Kermit-170 in the midst  of
          a transfer or during server operations by aborting your local Kermit
          with a CTRL-C.  Connect to the Cyber Kermit (don't forget  to  first
          FINISH  if  you were using the Cyber Kermit in server mode) and then
          EXIT.
  
-HELP
HELP [topic]
          Give  Help.    A general help text, and separate help texts for each
          Kermit-170 command, are available.    HELP  ?  lists  the  available 
          topics.
  
-PUSH
PUSH      Exit  to  NOS  command level, saving the current Kermit environment.
          The environment is restored when Kermit is reentered later.
  
-RECEIVE
RECEIVE   Receive a file or group of files from the other host.  If  the  name
          in  the  header  packet  is not a legal Cyber file name, the first 7
          legal characters are used.
  
          If the file already exits as a local file, Kermit aborts the  trans- 
          fer.    If  an  error  occurs  during transfer, the local file being
          received is deleted to allow the transfer  to  be  retried.    After
          entering  the  RECEIVE command, you should escape back to your local
          Kermit and enter the SEND command.
  
-SEND
SEND filename or L:filename or P:filename
          Send  one or more files to the local (micro) Kermit; filename may be
          a wildcard filename.  The name of each file is passed to  the  other 
          Kermit in a file header packet, so that the file can be stored there
          with the same name.  You should escape back to your local Kermit and
          enter  the  RECEIVE  command.   If you don't do this fast enough the
          "send-init" packet may arrive prematurely.  To prevent this, use SET
          DELAY  or  hit  the  RETURN key on your microcomputer if it does not 
          timeout.
  
          If you use the first form of this command and no local file(s) match
          your  request,  your permanent file catalog is searched for matching
          file(s).  If you prefix the filename with L:, only your local  files
          are  searched;  if P:, only your permanent file catalog is searched.
          (Note that for a permanent file transfer, any local file  which  has
          the same name as a permanent file being sent, is deleted.)
  
-SERVER
SERVER    Act  as  a  server  for  another  Kermit.    Whatever  options  were
          previously SET are used.  The server may be shut down from the local
          Kermit  by  using  the  BYE, LOGOUT or FINISH commands.  FINISH ter-
          minates the Cyber Kermit program, but does not log out.  Most often,
          you  should use the FINISH command if you are transferring a file to
          the Cyber so that you may then connect and make the file  permanent.
          The  BYE  or  LOGOUT  command  causes  Cyber Kermit to terminate and
          logout; it may be used, for example, when a file is to  be  received
          from the Cyber and no other work is to be done on the Cyber.
  
          The following server features are currently supported in Kermit-170:
          GET, SEND, FINISH, BYE, REM DIR
  
-SET
SET keyword value 
          Establish system-dependent parameters.  You can examine their values
          with the SHOW  command.    Numeric  values  may  be  decimal,  octal
          (postfixed  with a B), or hexadecimal (postfixed by an H).  The fol-
          lowing may be SET:  
  
          BIN-MODE btype 
              Indicates  how  binary  files  are stored.  Allowable values for
              btype are: 8/12 and PACKED.  The setting  of  BIN-MODE  is  used
              when FILE-MODE is BINARY.
  
          TEXT-MODE ctype
              Sets  the  character  set  of  TEXT files.  Allowable values for
              ctype are: AUTO, DISPLAY,  6/12,  and  8/12.    The  setting  of 
              TEXT-MODE is used when FILE-MODE is TEXT. 
  
          DEBUG option
              Show packet traffic explicitly.  Options are: 
  
              ALL Set all debug options (PACKETS and STATES).
  
              LOG-FILE filename 
                  Log  states  and packets to the specified file.  The default
                  log-file is named KERMLOG.
  
              OFF Don't log debugging information (this is the default).    If
                  debugging was in effect, turn it off and close the log file.
  
              PACKETS
                  Log each incoming and outgoing packet (lengthy).
  
              STATES
                  Log Kermit state transitions and packet numbers (brief).
  
          DELAY decimal-number
              Sets the number of seconds to  wait  before  sending  the  first
              packet.    This  gives  you  time  to  "escape" back and issue a
              RECEIVE command.  The default is 2 seconds.
  
          DUPLEX keyword
              Changes the method of echoing characters when being prompted for
              commands.  The choices are FULL and HALF.  FULL means the  Cyber
              will  echo the characters you type.  HALF means the local system
              echoes them.  FULL is the default, and is used by most hosts.
  
          EOR-EOF-MODE option
              Indicates  how  end-of-record/end-of-file  marks  in  Cyber text
              files are to be handled.  If option is ON, they are converted to
              #EOR/#EOF  lines  in  the  destination  file when a text file is
              received from the Cyber, and #EOR/#EOF lines in  a  source  file
              are converted to end-of-record/end-of-file marks in the destina- 
              tion file when  sending  to  the  Cyber.    If  option  is  OFF,
              end-of-record/end-of-file marks are ignored, and #EOR/#EOF lines
              are treated as ordinary text lines.  EOR-EOF-MODE ON is only ef-
              fective  when  FILE-MODE  is  TEXT; otherwise action is as if it
              were OFF.
  
          FILE-MODE ftype
              Declares  the  file  mode to be used while processing Cyber disk
              files.  Allowable values for ftype are TEXT and  BINARY.    TEXT
              means that the file contains text in either 8/12 ASCII, 6/12 AS-
              CII, or Display Code (See the SET TEXT-MODE  command).    BINARY
              means  that  the  file  contains  binary  data in either 8/12 or
              PACKED form (see the SET BIN-MODE  command).    The  default  is
              TEXT. 
  
          INIT-RETRY decimal-number
              Set the maximum number of retries allowed for the  initial  con-
              nection before giving up. Default is 15.
  
          RECEIVE parameter value
              These commands allow you to specify to the other Kermit what the 
              packets it sends should look like, or to inform this Kermit what 
              to expect.  Value may be specified as a decimal number, an octal
              number  (B suffix), or a hexadecimal number (H suffix).  Charac-
              ter values are specified as the numeric equivalent of the  ASCII
              character.
  
              END-OF-LINE value
                  The octal value of the ASCII character which will be used as
                  a line terminator for packets by the other system.  Carriage
                  return (15B) is the default.
  
              PACKET-LENGTH value
                  Maximum  packet  length the other system may send, a decimal
                  number, between 20 and 1000, 94 by default.   Size  used  is
                  the  minimum of this parameter and the SEND PACKET-LENGTH of
                  the other Kermit.
  
              PAD-CHARACTER value
                  Character to use for padding.  Default is NUL.
  
              PAD-LENGTH value
                  Set the number  of  padding  characters  to  send  before  a
                  packet.  Default is no padding.
  
              QUOTE-CHARACTER value
                  The printable  character  to  use  for  quoting  of  control
                  characters.  Default  is # (43B).  There should be no reason
                  to change this.
  
              SYNC-CHARACTER value 
                  The  control  character  that  marks  the  beginning  of the
                  packet.  Normally SOH (Control-A, ASCII 1).  There should be 
                  no reason to change this.
  
              TIME-OUT value
                  The number of seconds the other Kermit  should  wait  for  a
                  packet  before  asking  for  retransmission.  Default  is 10
                  seconds.
  
          RETRY decimal-number
              Sets  the  maximum  number  of  retries allowed for a particular
              packet before giving up. Default is 10.
  
          SEND parameter value
              These  commands allow you to specify how outgoing packets should
              look, in case the other Kermit has non-standard requirements.
  
              END-OF-LINE value
                  The  octal value of the ASCII character to be used as a line 
                  terminator for packets, if one is required by the other sys-
                  tem.  Carriage return (15B) by default.
  
              PACKET-LENGTH value
                  Maximum packet length to send, decimal  number,  between  20
                  and  1000,  94 by default.  Size used is the minimum of this
                  parameter and the RECEIVE PACKET-LENGTH of the other Kermit.
  
              PAD-CHARACTER value
                  Character to use for padding.  Default is NUL.
  
              PAD-LENGTH value
                  Set the number  of  padding  characters  to  send  before  a
                  packet.  Default is no padding.
  
              QUOTE-CHARACTER value
                  The printable  character  to  use  for  quoting  of  control
                  characters.    The  default  is # (43B).  There should be no
                  reason to change this.
  
              SYNC-CHARACTER value 
                  The  control  character  that  marks  the  beginning  of the
                  packet.  Normally SOH (Control-A, ASCII 1).  There should be 
                  no reason to change this.
  
              TIME-OUT value
                  How many seconds to wait for a packet before  trying  again.
                  Default is 10 seconds.
  
-SHOW
SHOW
    Display current SET parameters, version of Kermit-170, and other
    information.
  
-STATUS
STATUS
    Give statistics about the most recent file transfer. 
  
-TAKE
TAKE filename or L:filename or P:filename
    Take  Kermit  commands  from  a file.  Kermit looks first in the
    user's local files; if not found it then looks in the  permanent
    file  catalog.    You  may  restrict the search by prefixing the
    filename with "P:" or "L:".  (See the SEND command above.)  When
    an logical end-of-record is encountered on the TAKE file, Kermit
    reverts to accepting commands from the terminal.  TAKE  commands
    cannot  be nested; a TAKE command read from a file causes Kermit
    to begin reading commands from the new file, but when the end of 
    the  new  file  is  reached  Kermit does not revert to the first
    file.

.
